# class CGI::Session::MemoryStore

In-memory session storage class.

Implements session storage as a global in-memory hash. `Session` data will only persist for as long as the Ruby interpreter instance does.

### Public Class Methods

new (session, option=nil)
Source

    # File lib/cgi/session.rb, line 488
    def initialize(session, option=nil)
      @session_id = session.session_id
      unless GLOBAL_HASH_TABLE.key?(@session_id)
        unless session.new_session
          raise CGI::Session::NoSession, "uninitialized session"
        end
        GLOBAL_HASH_TABLE[@session_id] = {}
      end
    end

Create a new `MemoryStore` instance.

`session` is the session this instance is associated with. `option` is a list of initialisation options. None are currently recognized.

### Public Instance Methods

close ()
Source

    # File lib/cgi/session.rb, line 515
    def close
      # don't need to close
    end

Close session storage.

A no-op.

delete ()
Source

    # File lib/cgi/session.rb, line 520
    def delete
      GLOBAL_HASH_TABLE.delete(@session_id)
    end

Delete the session state.

restore ()
Source

    # File lib/cgi/session.rb, line 501
    def restore
      GLOBAL_HASH_TABLE[@session_id]
    end

Restore session state.

Returns session data as a hash.

update ()
Source

    # File lib/cgi/session.rb, line 508
    def update
      # don't need to update; hash is shared
    end

Update session state.

A no-op.